Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Providers/ConnectionProvider.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Providers/ConnectionProvider.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Providers/ConnectionProvider.cs	(revision 4068)
@@ -1,60 +1,52 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.ComponentModel;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Type descriptor provider for all descendants of the <see cref="ConnectionBase"/> classes. 
+  /// </summary>
+  class ConnectionProvider : TypeDescriptionProvider {
+    #region Fields
+
     /// <summary>
-    /// Type descriptor provider for all descendants of the <see cref="ConnectionBase"/> classes. 
+    /// connection descriptor
     /// </summary>
-    class ConnectionProvider : TypeDescriptionProvider
-    {
-        #region Fields
-       
-        /// <summary>
-        /// connection descriptor
-        /// </summary>
-        private static ConnectionDescriptor connectionDescriptor;
+    private static ConnectionDescriptor connectionDescriptor;
 
-        
-        #endregion
 
-        #region Properties
-        
-        
-        #endregion
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:ConnectionProvider"/> class.
-        /// </summary>
-        public ConnectionProvider()
-        {
-            connectionDescriptor = new ConnectionDescriptor(this, typeof(ConnectionBase));
-        }
-        #endregion
+    #region Properties
 
-        #region Methods
-        /// <summary>
-        /// Gets a custom type descriptor for the given type and object.
-        /// </summary>
-        /// <param name="objectType">The type of object for which to retrieve the type descriptor.</param>
-        /// <param name="instance">An instance of the type. Can be null if no instance was passed to the <see cref="T:System.ComponentModel.TypeDescriptor"></see>.</param>
-        /// <returns>
-        /// An <see cref="T:System.ComponentModel.ICustomTypeDescriptor"></see> that can provide metadata for the type.
-        /// </returns>
-        public override ICustomTypeDescriptor GetTypeDescriptor(Type objectType, object instance)
-        {
-            if (typeof(ConnectionBase).IsInstanceOfType(instance))
-            {
-                return connectionDescriptor;
-            }            
-            else //if nothing found use the base descriptor
-               return base.GetTypeDescriptor(objectType, instance);
 
-       }
-        #endregion
+    #endregion
 
-   }
-  
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:ConnectionProvider"/> class.
+    /// </summary>
+    public ConnectionProvider() {
+      connectionDescriptor = new ConnectionDescriptor(this, typeof(ConnectionBase));
+    }
+    #endregion
+
+    #region Methods
+    /// <summary>
+    /// Gets a custom type descriptor for the given type and object.
+    /// </summary>
+    /// <param name="objectType">The type of object for which to retrieve the type descriptor.</param>
+    /// <param name="instance">An instance of the type. Can be null if no instance was passed to the <see cref="T:System.ComponentModel.TypeDescriptor"></see>.</param>
+    /// <returns>
+    /// An <see cref="T:System.ComponentModel.ICustomTypeDescriptor"></see> that can provide metadata for the type.
+    /// </returns>
+    public override ICustomTypeDescriptor GetTypeDescriptor(Type objectType, object instance) {
+      if (typeof(ConnectionBase).IsInstanceOfType(instance)) {
+        return connectionDescriptor;
+      } else //if nothing found use the base descriptor
+        return base.GetTypeDescriptor(objectType, instance);
+
+    }
+    #endregion
+
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Providers/ControlProvider.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Providers/ControlProvider.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Providers/ControlProvider.cs	(revision 4068)
@@ -1,57 +1,49 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.ComponentModel;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Type descriptor provider for  the <see cref="DiagramControlBase"/> class. 
+  /// </summary>
+  class ControlProvider : TypeDescriptionProvider {
+    #region Fields
+
     /// <summary>
-    /// Type descriptor provider for  the <see cref="DiagramControlBase"/> class. 
+    /// control descriptor
     /// </summary>
-    class ControlProvider : TypeDescriptionProvider
-    {
-        #region Fields
-      
-        /// <summary>
-        /// control descriptor
-        /// </summary>
-        private static ControlDescriptor controlDescriptor;
+    private static ControlDescriptor controlDescriptor;
 
-        
-        #endregion
 
-        #region Properties
-        
-        
-        #endregion
+    #endregion
 
-        #region Constructor
-        public ControlProvider()
-        {
-            controlDescriptor = new ControlDescriptor(this, typeof(DiagramControlBase));
-        }
-        #endregion
+    #region Properties
 
-        #region Methods
-        /// <summary>
-        /// Gets a custom type descriptor for the given type and object.
-        /// </summary>
-        /// <param name="objectType">The type of object for which to retrieve the type descriptor.</param>
-        /// <param name="instance">An instance of the type. Can be null if no instance was passed to the <see cref="T:System.ComponentModel.TypeDescriptor"></see>.</param>
-        /// <returns>
-        /// An <see cref="T:System.ComponentModel.ICustomTypeDescriptor"></see> that can provide metadata for the type.
-        /// </returns>
-public override ICustomTypeDescriptor GetTypeDescriptor(Type objectType, object instance)
-{
-    if(typeof(DiagramControlBase).IsInstanceOfType(instance) )
-    {                  
+
+    #endregion
+
+    #region Constructor
+    public ControlProvider() {
+      controlDescriptor = new ControlDescriptor(this, typeof(DiagramControlBase));
+    }
+    #endregion
+
+    #region Methods
+    /// <summary>
+    /// Gets a custom type descriptor for the given type and object.
+    /// </summary>
+    /// <param name="objectType">The type of object for which to retrieve the type descriptor.</param>
+    /// <param name="instance">An instance of the type. Can be null if no instance was passed to the <see cref="T:System.ComponentModel.TypeDescriptor"></see>.</param>
+    /// <returns>
+    /// An <see cref="T:System.ComponentModel.ICustomTypeDescriptor"></see> that can provide metadata for the type.
+    /// </returns>
+    public override ICustomTypeDescriptor GetTypeDescriptor(Type objectType, object instance) {
+      if (typeof(DiagramControlBase).IsInstanceOfType(instance)) {
         return controlDescriptor;
-    }    
-    else //if nothing found use the base descriptor
+      } else //if nothing found use the base descriptor
         return base.GetTypeDescriptor(objectType, instance);
 
     }
-        #endregion
+    #endregion
 
-   }
-  
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Providers/ShapeProvider.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Providers/ShapeProvider.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Providers/ShapeProvider.cs	(revision 4068)
@@ -1,73 +1,61 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.ComponentModel;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Type descriptor provider for all descendants of the <see cref="ShapeBase"/> classes. 
+  /// </summary>
+  class ShapeProvider : TypeDescriptionProvider {
+    #region Fields
+
     /// <summary>
-    /// Type descriptor provider for all descendants of the <see cref="ShapeBase"/> classes. 
+    /// simple shape descriptor
     /// </summary>
-    class ShapeProvider : TypeDescriptionProvider
-    {
-        #region Fields
-        
-        /// <summary>
-        /// simple shape descriptor
-        /// </summary>
-        private static SimpleShapeBaseDescriptor simpleShapeBaseDescriptor;
-        /// <summary>
-        /// complex shape descriptor
-        /// </summary>
-        private static ComplexShapeBaseDescriptor complexShapeBaseDescriptor;
+    private static SimpleShapeBaseDescriptor simpleShapeBaseDescriptor;
+    /// <summary>
+    /// complex shape descriptor
+    /// </summary>
+    private static ComplexShapeBaseDescriptor complexShapeBaseDescriptor;
 
 
-        private static ClassShapeDescriptor classShapeDescriptor;
+    private static ClassShapeDescriptor classShapeDescriptor;
 
-        #endregion
+    #endregion
 
-        #region Properties
+    #region Properties
 
 
-        #endregion
+    #endregion
 
-        #region Constructor
-        public ShapeProvider()
-        {
-            simpleShapeBaseDescriptor = new SimpleShapeBaseDescriptor(this, typeof(SimpleShapeBase));
-            complexShapeBaseDescriptor = new ComplexShapeBaseDescriptor(this, typeof(ComplexShapeBase));
-            classShapeDescriptor = new ClassShapeDescriptor(this, typeof(ClassShape));
-        }
-        #endregion
+    #region Constructor
+    public ShapeProvider() {
+      simpleShapeBaseDescriptor = new SimpleShapeBaseDescriptor(this, typeof(SimpleShapeBase));
+      complexShapeBaseDescriptor = new ComplexShapeBaseDescriptor(this, typeof(ComplexShapeBase));
+      classShapeDescriptor = new ClassShapeDescriptor(this, typeof(ClassShape));
+    }
+    #endregion
 
-        #region Methods
-        /// <summary>
-        /// Gets a custom type descriptor for the given type and object.
-        /// </summary>
-        /// <param name="objectType">The type of object for which to retrieve the type descriptor.</param>
-        /// <param name="instance">An instance of the type. Can be null if no instance was passed to the <see cref="T:System.ComponentModel.TypeDescriptor"></see>.</param>
-        /// <returns>
-        /// An <see cref="T:System.ComponentModel.ICustomTypeDescriptor"></see> that can provide metadata for the type.
-        /// </returns>
-        public override ICustomTypeDescriptor GetTypeDescriptor(Type objectType, object instance)
-        {
-            if (typeof(SimpleShapeBase).IsInstanceOfType(instance))
-            {
-                return simpleShapeBaseDescriptor;
-            }
-            else if (typeof(ClassShape).IsInstanceOfType(instance))
-            {
-                return classShapeDescriptor;
-            }
-            else if (typeof(ComplexShapeBase).IsInstanceOfType(instance))
-            {
-                return complexShapeBaseDescriptor;
-            }
-            else //if nothing found use the base descriptor
-                return base.GetTypeDescriptor(objectType, instance);
-
-        }
-        #endregion
+    #region Methods
+    /// <summary>
+    /// Gets a custom type descriptor for the given type and object.
+    /// </summary>
+    /// <param name="objectType">The type of object for which to retrieve the type descriptor.</param>
+    /// <param name="instance">An instance of the type. Can be null if no instance was passed to the <see cref="T:System.ComponentModel.TypeDescriptor"></see>.</param>
+    /// <returns>
+    /// An <see cref="T:System.ComponentModel.ICustomTypeDescriptor"></see> that can provide metadata for the type.
+    /// </returns>
+    public override ICustomTypeDescriptor GetTypeDescriptor(Type objectType, object instance) {
+      if (typeof(SimpleShapeBase).IsInstanceOfType(instance)) {
+        return simpleShapeBaseDescriptor;
+      } else if (typeof(ClassShape).IsInstanceOfType(instance)) {
+        return classShapeDescriptor;
+      } else if (typeof(ComplexShapeBase).IsInstanceOfType(instance)) {
+        return complexShapeBaseDescriptor;
+      } else //if nothing found use the base descriptor
+        return base.GetTypeDescriptor(objectType, instance);
 
     }
+    #endregion
+
+  }
 }
 
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Ruler/Ruler.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Ruler/Ruler.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Ruler/Ruler.cs	(revision 4068)
@@ -1,77 +1,69 @@
-using System;
 using System.ComponentModel;
 using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Abstract base classes for the rulers.
+  /// </summary>
+  public abstract class RulerBase : IPaintable {
+
+    #region Fields
+    private IView mView = null;
+
+
+    private bool mVisible;
+    #endregion
+
+    #region Properties
     /// <summary>
-    /// Abstract base classes for the rulers.
+    /// Gets or sets a value indicating whether this <see cref="T:Ruler"/> is visible.
     /// </summary>
-    public abstract class RulerBase : IPaintable
-    {
+    /// <value><c>true</c> if visible; otherwise, <c>false</c>.</value>
+    [BrowsableAttribute(true)]
+    public bool Visible {
+      get {
+        return mVisible;
+      }
 
-        #region Fields
-        private IView mView = null;
+      set {
+        mVisible = value;
+      }
+    }
+    /// <summary>
+    /// Gets the bounds.
+    /// </summary>
+    /// <value>The bounds.</value>
+    [BrowsableAttribute(false)]
+    public abstract Rectangle Rectangle { get; }
+    /// <summary>
+    /// Gets or sets the view associated to this ruler.
+    /// </summary>
+    /// <value>The IView.</value>
+    public IView View {
+      get { return mView; }
+      set { mView = value; }
+    }
+    #endregion
 
-       
-        private bool mVisible;
-        #endregion
+    #region Constructor
+    ///<summary>
+    ///Default constructor
+    ///</summary>
+    public RulerBase(IView mView) {
+      this.mView = mView;
+    }
+    #endregion
 
-        #region Properties
-        /// <summary>
-        /// Gets or sets a value indicating whether this <see cref="T:Ruler"/> is visible.
-        /// </summary>
-        /// <value><c>true</c> if visible; otherwise, <c>false</c>.</value>
-        [BrowsableAttribute(true)]
-        public bool Visible
-        {
-            get
-            {
-                return mVisible;
-            }
+    #region Methods
 
-            set
-            {
-                mVisible = value;
-            }
-        }
-        /// <summary>
-        /// Gets the bounds.
-        /// </summary>
-        /// <value>The bounds.</value>
-        [BrowsableAttribute(false)]
-        public abstract Rectangle Rectangle { get; }
-        /// <summary>
-        /// Gets or sets the view associated to this ruler.
-        /// </summary>
-        /// <value>The IView.</value>
-        public IView View
-        {
-            get { return mView; }
-            set { mView = value; }
-        }
-        #endregion
 
-        #region Constructor
-        ///<summary>
-        ///Default constructor
-        ///</summary>
-        public RulerBase(IView mView)
-        {
-            this.mView = mView;
-        }
-        #endregion
+    /// <summary>
+    /// Paints the entity using the given graphics object
+    /// </summary>
+    /// <param name="g"></param>
+    public abstract void Paint(Graphics g);
+    #endregion
 
-        #region Methods
-        
-
-        /// <summary>
-        /// Paints the entity using the given graphics object
-        /// </summary>
-        /// <param name="g"></param>
-        public abstract void Paint(Graphics g);
-        #endregion
-        
-    }
+  }
 
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Ambience.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Ambience.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Ambience.Serialization.cs	(revision 4068)
@@ -1,41 +1,35 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Diagnostics;
 using System.Drawing;
-using System.ComponentModel;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public partial class Ambience : ISerializable, IXmlSerializable, IDeserializationCallback {
+    //about xml serialization of color
+    //http://dotnetified.com/PermaLink.aspx?guid=E86B447E-AA95-49B6-909F-CDA36ACF481F
+
+    #region Deserialization constructor
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-    [Serializable]
-    public partial class Ambience : ISerializable, IXmlSerializable, IDeserializationCallback
-    {
-        //about xml serialization of color
-        //http://dotnetified.com/PermaLink.aspx?guid=E86B447E-AA95-49B6-909F-CDA36ACF481F
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected Ambience(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("Deserializing the fields of 'Ambience'.");
 
-        #region Deserialization constructor
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected Ambience(SerializationInfo info, StreamingContext context)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("Deserializing the fields of 'Ambience'.");
+      double version = info.GetDouble("AmbienceVersion");
+      this.BackgroundColor = (Color)info.GetValue("BackgroundColor", typeof(Color));
+      this.PageColor = (Color)info.GetValue("PageBackgroundColor", typeof(Color));
+    }
+    #endregion
 
-            double version = info.GetDouble("AmbienceVersion");
-            this.BackgroundColor = (Color)info.GetValue("BackgroundColor", typeof(Color));
-            this.PageColor = (Color)info.GetValue("PageBackgroundColor", typeof(Color));
-        }
-        #endregion
-
-        #region Serialization events
-        /*
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -50,9 +44,9 @@
             Trace.Unindent();
         }
-        */ 
-        #endregion
+        */
+    #endregion
 
-        #region Deserialization events
-        /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -68,106 +62,101 @@
          }
         */
-        #endregion
+    #endregion
 
-        #region Serialization
-        /// <summary>
-        /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
-        /// </summary>
-        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
-        /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
-        /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
-        public virtual void GetObjectData(SerializationInfo info, StreamingContext context)
-        {
-            if(Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'Ambience'.");
+    #region Serialization
+    /// <summary>
+    /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
+    /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
+    public virtual void GetObjectData(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'Ambience'.");
 
-            info.AddValue("AmbienceVersion", ambienceVersion);
+      info.AddValue("AmbienceVersion", ambienceVersion);
 
-            info.AddValue(
-                "BackgroundColor", 
-                this.BackgroundColor,
-                typeof(Color));
+      info.AddValue(
+          "BackgroundColor",
+          this.BackgroundColor,
+          typeof(Color));
 
-            info.AddValue(
-                "BackgroundType",
-                BackgroundType,
-                typeof(CanvasBackgroundTypes));
+      info.AddValue(
+          "BackgroundType",
+          BackgroundType,
+          typeof(CanvasBackgroundTypes));
 
-            info.AddValue(
-                "BackgroundGradientColor1",
-                this.BackgroundGradientColor1,
-                typeof(Color));
+      info.AddValue(
+          "BackgroundGradientColor1",
+          this.BackgroundGradientColor1,
+          typeof(Color));
 
-            info.AddValue(
-                "BackgroundGradientColor2",
-                this.BackgroundGradientColor2,
-                typeof(Color));
+      info.AddValue(
+          "BackgroundGradientColor2",
+          this.BackgroundGradientColor2,
+          typeof(Color));
 
-            info.AddValue(
-                "PageBackgroundColor", 
-                this.PageColor,
-                typeof(Color));
+      info.AddValue(
+          "PageBackgroundColor",
+          this.PageColor,
+          typeof(Color));
 
-            info.AddValue(
-                "PageBackgroundType",
-                PageBackgroundType,
-                typeof(CanvasBackgroundTypes));
+      info.AddValue(
+          "PageBackgroundType",
+          PageBackgroundType,
+          typeof(CanvasBackgroundTypes));
 
-            info.AddValue(
-                "PageBackgroundGradientColor1", 
-                this.PageGradientColor1,
-                typeof(Color));
+      info.AddValue(
+          "PageBackgroundGradientColor1",
+          this.PageGradientColor1,
+          typeof(Color));
 
-            info.AddValue(
-                "PageBackgroundGradientColor2",
-                this.PageGradientColor2,
-                typeof(Color));
-        }
-        #endregion
+      info.AddValue(
+          "PageBackgroundGradientColor2",
+          this.PageGradientColor2,
+          typeof(Color));
+    }
+    #endregion
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
-        #region IDeserializationCallback Members
+    #region IDeserializationCallback Members
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public void OnDeserialization(object sender)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'Ambience' called.");
-        }
-        
-        #endregion
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public void OnDeserialization(object sender) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'Ambience' called.");
     }
+
+    #endregion
+  }
 }
